# Uses of Class
java.awt.IllegalComponentStateException

Packages that use IllegalComponentStateException
Package
Description
com.sun.java.accessibility.util
Provides a collection of interfaces and classes that compose the Java Accessibility Utilities.
javax.accessibility
Defines a contract between user-interface components and an assistive technology that provides access to those components.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.

## Uses of IllegalComponentStateException in com.sun.java.accessibility.util

Methods in com.sun.java.accessibility.util that throw IllegalComponentStateException
Modifier and Type
Method
Description
`Locale`
Translator.`getLocale()`
Gets the `Locale` of the component.

## Uses of IllegalComponentStateException in javax.accessibility

Methods in javax.accessibility that throw IllegalComponentStateException
Modifier and Type
Method
Description
`abstract Locale`
AccessibleContext.`getLocale()`
Gets the locale of the component.

## Uses of IllegalComponentStateException in javax.swing

Methods in javax.swing that throw IllegalComponentStateException
Modifier and Type
Method
Description
`Locale`
ImageIcon.AccessibleImageIcon.`getLocale()`
Returns the locale of this object.
`Locale`
ProgressMonitor.AccessibleProgressMonitor.`getLocale()`
Gets the locale of the component.